aboutsummaryrefslogtreecommitdiffstats
path: root/docker/install_packages.sh
diff options
context:
space:
mode:
authorLisandro Pérez Meyer <lpmeyer@ics.com>2023-10-13 20:55:33 -0300
committerLisandro Pérez Meyer <lpmeyer@ics.com>2023-10-13 21:01:17 -0300
commite875973f63fc9a9582e957eb7264a4a589b78a97 (patch)
tree7169e9949d83d0867b10bdb1cec44911bbff2aff /docker/install_packages.sh
parent61f6fb386e162ed2bdbd2f9351e7c220c898483f (diff)
Add a Dockerfile and related files
This builds a Docker container based upon bookworm-slim and starts the application using Qt's VNC platform plugin. Change-Id: Ica4437bb73b7c9b73b8e7ade6d2a7b508bb817e9 Signed-off-by: Lisandro Pérez Meyer <lpmeyer@ics.com>
Diffstat (limited to 'docker/install_packages.sh')
-rwxr-xr-xdocker/install_packages.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/docker/install_packages.sh b/docker/install_packages.sh
new file mode 100755
index 0000000..4e94a37
--- /dev/null
+++ b/docker/install_packages.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Exit as soon as something fails.
+set -e
+
+# The idea behind doing all this in a script is to reduce the final size of the
+# docker image, as all this will only generate one layer.
+
+echo "http_proxy is $http_proxy"
+echo "https_proxy is $https_proxy"
+
+# Keep the dependency list as short as reasonable
+apt-get update
+apt-get install --yes \
+ bash \
+ git \
+ locales
+
+# Install AGL Demo Control Panel dependencies
+apt-get install --yes \
+ python3-pip \
+ python3-pyqt5 \
+ python3-qtpy \
+ pyqt5-dev-tools
+
+# Set bash as default shell
+echo "dash dash/sh boolean false" | debconf-set-selections - && dpkg-reconfigure dash
+
+# Set the locale
+sed -i '/en_US.UTF-8/s/^# //g' /etc/locale.gen && locale-gen
+
+apt-get --yes clean
+apt-get --yes autoremove